<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>DUNE Warm Interface Board: rtl Architecture  Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">DUNE Warm Interface Board
   </div>
   <div id="projectbrief">Firmware for the DUNE Warm Interface Board (WIB)</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="classes.html"><span>Design&#160;Units</span></a></li>
      <li><a href="inherits.html"><span>Design&#160;Unit&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Design&#160;Unit&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Variables</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="classpdts__tx__phy.html">pdts_tx_phy</a></li><li class="navelem"><a class="el" href="classpdts__tx__phy_1_1rtl.html">rtl</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">rtl Architecture Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><a href="classpdts__tx__phy_1_1rtl-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Processes"></a>
Processes</h2></td></tr>
 <tr class="memitem:aec249102097e40c239f0fe3116ae60b5"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aec249102097e40c239f0fe3116ae60b5"></a>
<a class="el" href="classpdts__tx__phy_1_1rtl.html#aec249102097e40c239f0fe3116ae60b5">PROCESS_37</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">d</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">k</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:af58ba8baf8cb964b995c34faa0e140cc"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af58ba8baf8cb964b995c34faa0e140cc"></a>
<a class="el" href="classpdts__tx__phy_1_1rtl.html#af58ba8baf8cb964b995c34faa0e140cc">PROCESS_38</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">txclk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a93f122c84396d14754dc46fe9b8fd020"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a93f122c84396d14754dc46fe9b8fd020"></a>
<a class="el" href="classpdts__tx__phy_1_1rtl.html#a93f122c84396d14754dc46fe9b8fd020">PROCESS_102</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">d</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">k</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:aa675b22ea78108888deff51a1db5a843"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa675b22ea78108888deff51a1db5a843"></a>
<a class="el" href="classpdts__tx__phy_1_1rtl.html#aa675b22ea78108888deff51a1db5a843">PROCESS_103</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">txclk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span></b> )</b></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Signals"></a>
Signals</h2></td></tr>
 <tr class="memitem:ac4cd56925564cf54c1a4d5cb2d69ee8c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac4cd56925564cf54c1a4d5cb2d69ee8c"></a>
<a class="el" href="classpdts__tx__phy_1_1rtl.html#ac4cd56925564cf54c1a4d5cb2d69ee8c">d_tx</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">7</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ac465fa3d6ce411c686d787ebd2061f22"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac465fa3d6ce411c686d787ebd2061f22"></a>
<a class="el" href="classpdts__tx__phy_1_1rtl.html#ac465fa3d6ce411c686d787ebd2061f22">w</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">9</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ac0d9685835fac98c0619e4bcacfaafd8"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac0d9685835fac98c0619e4bcacfaafd8"></a>
<a class="el" href="classpdts__tx__phy_1_1rtl.html#ac0d9685835fac98c0619e4bcacfaafd8">wb</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">9</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a796d11daee07a59c819b64cdb769843d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a796d11daee07a59c819b64cdb769843d"></a>
<a class="el" href="classpdts__tx__phy_1_1rtl.html#a796d11daee07a59c819b64cdb769843d">wc</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">9</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a54d1fa325dd4cb49499b10316a18f5a3"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a54d1fa325dd4cb49499b10316a18f5a3"></a>
<a class="el" href="classpdts__tx__phy_1_1rtl.html#a54d1fa325dd4cb49499b10316a18f5a3">t</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">SCLK_RATIO</span><span class="vhdlchar"> </span><span class="vhdlchar">-</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a4fa3a666e3dfa04b374e52ff720ccc38"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4fa3a666e3dfa04b374e52ff720ccc38"></a>
<a class="el" href="classpdts__tx__phy_1_1rtl.html#a4fa3a666e3dfa04b374e52ff720ccc38">s</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a1d42b2dee8b672d50803029f8a993d16"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1d42b2dee8b672d50803029f8a993d16"></a>
<a class="el" href="classpdts__tx__phy_1_1rtl.html#a1d42b2dee8b672d50803029f8a993d16">rsta</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Instantiations"></a>
Instantiations</h2></td></tr>
 <tr class="memitem:a9ad9487992ed433fd63349ea544f41d7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9ad9487992ed433fd63349ea544f41d7"></a>
<a class="el" href="classpdts__tx__phy_1_1rtl.html#a9ad9487992ed433fd63349ea544f41d7">enc</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>work.pdts_enc8b10b</b>  </td></tr>
<tr class="memitem:a9ad9487992ed433fd63349ea544f41d7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9ad9487992ed433fd63349ea544f41d7"></a>
<a class="el" href="classpdts__tx__phy_1_1rtl.html#a9ad9487992ed433fd63349ea544f41d7">enc</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>work.pdts_enc8b10b</b>  </td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock">
<p>Definition at line <a class="el" href="DTS_2ProtoDUNE__TimingSystem_2pdts__tx__phy_8vhd_source.html#l00027">27</a> of file <a class="el" href="DTS_2ProtoDUNE__TimingSystem_2pdts__tx__phy_8vhd_source.html">pdts_tx_phy.vhd</a>.</p>
</div><hr/>The documentation for this class was generated from the following files:<ul>
<li>/home/dan/work/DUNE/dune-wib.firmware/trunk/src/DTS/ProtoDUNE_TimingSystem/<a class="el" href="DTS_2ProtoDUNE__TimingSystem_2pdts__tx__phy_8vhd_source.html">pdts_tx_phy.vhd</a></li>
<li>/home/dan/work/DUNE/dune-wib.firmware/trunk/src/timing_system/ProtoDUNE_TimingSystem/<a class="el" href="timing__system_2ProtoDUNE__TimingSystem_2pdts__tx__phy_8vhd_source.html">pdts_tx_phy.vhd</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed Nov 1 2017 10:40:34 for DUNE Warm Interface Board by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1
</small></address>
</body>
</html>
